#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,x,k,rd,rl,desno=0,levo=0;
    cin>>n;
    long long a[n];
    cin>>x;
    long long d=x,l=x;
    for(long long i=0; i<n; i++)
        cin>>a[i];
    for(long long i=0; i<n; i++)
    {
        if(a[i]>x)
        {
            desno++;
            if(a[i]>d)
            {
                d=a[i];
            }
        }
        else if(a[i]<x)
        {
            levo++;
            if(a[i]<l)
            {
                l=a[i];
            }
        }
    }
    rd=d-x;
    rl=x-l;
    if(desno==n)
    {
        k=rd;
    }
    else if(levo==n)
    {
        k=rl;
    }
    if(rd>=rl)
    {
        k=rl*2+rd;
    }
    else
    {
        k=rd*2+rl;
    }
    cout<<k;
    return 0;
}